#ifndef BACKGROUND_H
#define BACKGROUND_H

#include "Image.h"

class Background
{
public:
	Background();
	~Background();

	bool loadBackground(string file);

	void render(SDL_Surface *screen);	//	The destination sirface the animation should be rendered to

	void setUseHardware(bool useHW)
	{
		img.setUseHardware(useHW);
	}
	void setBG(uint bg);	//	Assigns a background ID
	uint getBG();			//	Returns an assigned background ID
	void clear()
	{
		img.clear();
	}
private:
	uint bg;				//	The stored bg ID, used with the image draw function to draw a specific bg.
	Image img;
};

#endif	//	BACKGROUND_H

