#ifndef COMMAND_H
#define COMMAND_H

#include <vector>
using namespace std;

enum SoundBoxCommands
{
    SOUNDSET,       //  The list of available sets
	A,         //  Pair a sound to a button
	B,
	X,
	Y,
	L,
	R,
	DUP,
	DDOWN,
	CLICK,
	MUSIC,          //  Load a music file for the sound set.
	END_SCRIPT,
	PARSE_ERROR,	//	No Commands in the list
};

class Command
{
public:
	Command()
	{
		commandType = PARSE_ERROR;
		params.clear();
		filename = "NONE";
	}
	Command(unsigned int type)
	{
		commandType = type;
		params.clear();
		filename = "NONE";
	}
	~Command(){};
	unsigned int  commandType;	//	Stores the type of command
	vector<int>params;//	Stores the params of the file
	string filename;

	unsigned int getCommand(string name)
	{
	    if(name == "SOUNDSET")
            return SOUNDSET;
		else if (name == "A")
			return A;
        else if (name == "B")
            return B;
        else if (name == "X")
            return X;
        else if (name == "Y")
            return Y;
        else if (name == "L")
            return L;
        else if (name == "R")
            return R;
        else if (name == "CLICK")
            return CLICK;
        else if (name == "DUP")
            return DUP;
        else if (name == "DDOWN")
            return DDOWN;
		else if (name == "MUSIC")
			return MUSIC;
        else if (name == "END_SCRIPT")
            return END_SCRIPT;
		else
			return PARSE_ERROR;
	}
private:

};
#endif	//	COMMAND_H
