#include "StringUtility.h"

StringUtility::StringUtility()
{
}

StringUtility::~StringUtility()
{
}

string StringUtility::linToWin(string line)
{
	uint iMax = (uint)line.size();
	for (uint i = 0; i < iMax; i++)
	{
		//	check if the current char is a Linux NL
		if (line[i] == 0x0A)
		{
			//	Remove the NL
			line.erase(line.begin()+i);

			//	Add the windows CR
			line.push_back(0x0D);
		}
	}
	return line;
}

string StringUtility::winToLin(string line)
{
	//	run through the text line
	uint iMax = (uint)line.size();
	for(uint i = 0; i < iMax; i++)
	{
		//	check if the current char is a win CR
		if(line[i] == 0x0D)
		{
			//	Remove win CR
			line.erase(line.begin()+i);

			//	Add linux NL
			line.push_back(0x0A);
		}
	}
	return line;
}

string StringUtility::doubleToString(double value)
{
	stringstream ss;
	string str;
	ss << value;
	ss >> str;
	return str;
}

string StringUtility::floatToString(float value)
{
	stringstream ss;
	string str;
	ss << value;
	ss >> str;
	return str;
}

string StringUtility::intToString(int n)
{
	stringstream ss;
	string str;
	ss << n;
	ss >> str;
	return str;
}

bool StringUtility::isDigit(char digit)
{
	return true;
}

bool StringUtility::isLetter(char l)
{
	if (l >= 65 && l <= 90)
		return true;
	else if (l >= 97 && l <= 122)
		return true;

	return false;
}

string StringUtility::longToString(long value)
{
	stringstream ss;
	string str;
	ss << value;
	ss >> str;
	return str;
}

char StringUtility::lower(char l)
{
	//	if it's lowercase
	if (l >= 97-65 && l <= 122-65)
		l += (97-65);

	return l;
}

string StringUtility::shortToString(short value)
{
	stringstream ss;
	string str;
	ss << value;
	ss >> str;
	return str;
}

double StringUtility::stringToDouble(std::string value)
{
	istringstream ins;	//	Create a string stream
	ins.str(value);
	double out = 0;
	ins >> out;
	return out;
}

float StringUtility::stringToFloat(std::string value)
{
	istringstream ins;	//	Create a string stream
	ins.str(value);
	float out = 0;
	ins >> out;
	return out;
}

int StringUtility::stringToInt(string value)
{
	istringstream ins;	//	Create a string stream
	ins.str(value);
	int out = 0;
	ins >> out;
	return out;
}

long StringUtility::stringToLong(std::string value)
{
	istringstream ins;	//	Create a string stream
	ins.str(value);
	long out = 0;
	ins >> out;
	return out;
}

short StringUtility::stringToShort(std::string value)
{
	istringstream ins;	//	Create a string stream
	ins.str(value);
	short out = 0;
	ins >> out;
	return out;
}

char StringUtility::upper(char l)
{
	//	if it's lowercase
	if (l >= 97 && l <= 122)
		l -= (97-65);

	return l;
}

int StringUtility::charToInt(char n)
{
	if(n >= 48 && n <= 57)
		n-=48;

	return n;
}

char StringUtility::intToChar(int n)
{
	if(n >= 0 && n <= 57-48)
			n+=48;
	return n;
}
