#include "TextDoc.h"

TextDoc::TextDoc()
{

}

TextDoc::~TextDoc()
{
}

void TextDoc::append(string data)
{
	this->docData.push_back(data);
}

void TextDoc::editLine(int line, string newData)
{
	this->docData[line] = newData;
}

int TextDoc::findLine(string target)
{
	for(unsigned int i = 0; i < this->docData.size(); i++)
	{
		if(strstr(docData[i].c_str(),target.c_str()))
		{
			return i;
		}
	}
	return -1;
}

int TextDoc::findChar(string target, int line)
{
	int currChar = 0;
//	int targetCount = 0;
	/*while(this->docData[line][currChar] != target[targetCount])
	{
	}*/
	return currChar;
}


void TextDoc::clear()
{
	docData.clear();
}

void TextDoc::load(string file)
{
	//	Make doc is blank for loading.
	this->docData.clear();

	ifstream ifile(file.c_str());//load infile
	if(!ifile)
	{
		cout << "Error loading file " << file << endl;
		exit(0);
	}
	char temp[1000];
	while(!ifile.eof())
	{
		ifile.getline(temp,1000);
		#ifdef PLATFORM_GP2X
		append(StringUtility().winToLin((string)temp));
		#else
		append(temp);
		#endif
	}
	ifile.close();
}

void TextDoc::save(string file)
{
	ofstream ofile(file.c_str());//save ofile
	if(!ofile)
	{
		cout << "Error saving file " << file << endl;
		exit(0);
	}
	for (unsigned int i = 0; i < this->docData.size(); i++)
	{
			ofile << this->docData[i];

			if(i < docData.size()-1)
			{
				ofile << "\n";
			}
	}
	ofile.close();
}

int TextDoc::size()
{
	return (int)docData.size();
}
string TextDoc::getLine(int line)
{
	if(line<docData.size())
		return docData[line];
	return " ";
}

void TextDoc::search(string target)
{
}

void TextDoc::viewDoc()
{
	for (unsigned int i = 0; i < this->docData.size(); i++)
	{
		cout << "L:" << i << " " <<this->docData[i] << endl;
	}
}

