#include "Variable.h"

Variable::Variable()
{
	intValue = 0;
	floatValue = 0;
	stringValue = "NONE";
}

Variable::~Variable()
{
}

float Variable::getFloat()
{
	return floatValue;
}

int Variable::getInt()
{
	return intValue;
}

string Variable::getString()
{
	return stringValue;
}

//  The followin functions will not behave correctly if you actually set the value to "0"
bool Variable::hasFloat()
{
	if(floatValue)
		return true;
	return false;
}

bool Variable::hasInt()
{
	if(intValue)
		return true;
	return false;
}

bool Variable::hasString()
{
	if(!strstr(stringValue.c_str(),"NONE"))
		return true;
	return false;
}

void Variable::setFloat(float value)
{
	floatValue = value;
}

void Variable::setInt(int value)
{
	intValue = value;
}

void Variable::setString(string value)
{
	stringValue = value;
}


Variable& Variable::operator =(Variable value)
{
	intValue = value.getInt();
	floatValue = value.getFloat();
	stringValue = value.getString();
	return *this;
}

bool Variable::operator ==(Variable &value)
{
	if(floatValue == value.getFloat() || intValue == value.getInt() || stringValue == value.getString())
		return true;
	return false;
}

