#ifndef VARIABLE_H
#define VARIABLE_H

#include <string>
using namespace std;
class Variable
{
public:
	Variable();
	~Variable();
	Variable(int value)
	{
		floatValue = 0;
		stringValue = "NONE";
		intValue = value;
	}
	Variable(float value)
	{
		intValue = 0;
		stringValue = "NONE";
		floatValue = value;
	}
	Variable(string value)
	{
		intValue = 0;
		floatValue = 0;
		stringValue = value;
	}

	void setValue(int value)
	{
		setInt(value);
	}
	void setValue(float value)
	{
		setFloat(value);
	}
	void setValue(string value)
	{
		setString(value);
	}
	void setInt(int value);
	void setFloat(float value);
	void setString(string value);

	int getInt();
	float getFloat();
	string getString();

	bool hasInt();
	bool hasFloat();
	bool hasString();

	//	Operators
	bool operator==(Variable& value);
	Variable& operator= (Variable value);
private:
	int intValue;
	float floatValue;
	string stringValue;
};
#endif	//	VARIABLE_H

