

#ifdef MEMWATCH
#include "Memwatch.h"      // In debug mode will check for mem alloc errors etc.
#endif

#include "MyGame.h"

int main (int argc, char** argv)
{
   Engine* game = NULL;
   // Setup a new game object

    game = new MyGame("SoundBox", 320, 240, THIRTY_FRAMES);
    game->argHandler(argc,argv);   // Pass commandline to game engine
    game->init();                  // Perform remaining initialisation
    while(game->stateLoop());      // Perform gameloop until shutdown


   if(game)
   {
      delete game;
      game = NULL;
   }
   return 0;
}
