#ifndef MYGAME_H_INCLUDED
#define MYGAME_H_INCLUDED

// MyGame - SoundBox
/*
A sound player application for the GP2X.
*/

#include "Engine.h"

class MyGame : public Engine
{
   public:
      MyGame(string appName, uint xRes, uint yRes, uint fps);
      virtual ~MyGame();
      //	Following functions are optionally overidden from default behaviour
      //virtual void argHandler(int argc, char **argv);	//	Takes commandline args from main function for parsing.
      virtual void init();							//	All initialisation performed here.
      virtual void stateManagement();
   private:
      // List any variables that need to be active accross states here.
		//	Please note that you can pass variable from state to state using the variableQueues.

};

#endif // MYGAME_H_INCLUDED
