#ifndef RANDOM_H
#define RANDOM_H

/*
Now outputs ranged random floats and doubles!
Fixed default constructor
*/


#include <ctime>
#include <cstdlib>

class Random
{
public:

	Random(int min, int max);
	Random();
	~Random();

	void setMax(int max);
	void setMin(int min);
	void setLimits(int min,int max);

	int nextInt();		//	get the next random int
	float nextFloat();	//	get the next float
	double nextDouble();//	get the next double
	bool nextBool();	//	random deterministic choice

	void setSeed(int seed);
	int randSeed()	//	seed the random number generator
	{
      int seed = static_cast<int>(time(0));
      srand(seed);
      return seed;
   }				//	Also returns the seed value
private:

	int	max;
	int min;
};
#endif	// RANDOM_H

