#include "Timer.h"

void Timer::calcScaler()
{
//#ifdef PLATFORM_PC
   scaler = 0.0f;
   if (mode == FIFTEEN_FRAMES)
   {
      scaler = (float)CLOCKS_PER_SEC / 15.0f;
   }
   else if (mode == THIRTY_FRAMES)
   {
      scaler = (float)CLOCKS_PER_SEC / 30.0f;
   }
   else if (mode == FIFTY_FRAMES)
   {
      scaler = (float)CLOCKS_PER_SEC / 50.0f;
   }
   else if (mode == SIXTY_FRAMES)
   {
      scaler = (float)CLOCKS_PER_SEC / 60.0f;
   }
   else if (mode == NANO_SECONDS)
   {
      scaler = CLOCKS_PER_SEC / 1000000000;
   }
   else if (mode == MICRO_SECONDS)
   {
      scaler = CLOCKS_PER_SEC / 1000000;
   }
   else if (mode == MILLI_SECONDS)
   {
      scaler = CLOCKS_PER_SEC / 1000;
   }
   else if (mode == CENTI_SECONDS)
   {
      scaler = CLOCKS_PER_SEC / 100;
   }
   else if (mode == DECI_SECONDS)
   {
      scaler = CLOCKS_PER_SEC / 10;
   }
   else if (mode == SECONDS)
   {
      scaler = CLOCKS_PER_SEC;
   }
   else if (mode == MINUTES)
   {
      scaler = CLOCKS_PER_SEC * 60;
   }
   else if (mode == HOURS)
   {
      scaler = CLOCKS_PER_SEC * 60 * 60;
   }
}
//#endif

/*
#ifdef PLATFORM_GP2X
   scaler.assign(0.0f);
   if (mode == FIFTEEN_FRAMES)
   {
      scaler.floatToFixed((float)CLOCKS_PER_SEC / 15.0f);
   }
   else if (mode == THIRTY_FRAMES)
   {
      scaler.floatToFixed((float)CLOCKS_PER_SEC / 30.0f);
   }
   else if (mode == FIFTY_FRAMES)
   {
      scaler.floatToFixed((float)CLOCKS_PER_SEC / 50.0f);
   }
   else if (mode == SIXTY_FRAMES)
   {
      scaler.floatToFixed((float)CLOCKS_PER_SEC / 60.0f);
   }
   else if (mode == NANO_SECONDS)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC / 1000000000);
   }
   else if (mode == MICRO_SECONDS)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC / 1000000);
   }
   else if (mode == MILLI_SECONDS)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC / 1000);
   }
   else if (mode == CENTI_SECONDS)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC / 100);
   }
   else if (mode == DECI_SECONDS)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC / 10);
   }
   else if (mode == SECONDS)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC);
   }
   else if (mode == MINUTES)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC * 60);
   }
   else if (mode == HOURS)
   {
      scaler.floatToFixed(CLOCKS_PER_SEC * 60 * 60);
   }
#endif
}
*/

